# POST /reports

**Create a report**

Creates a new report.

Reports are created as `pending` initially while Paddle generates your report. They move to `ready` when they're ready to download.

You can download a report when it's ready using the [get a CSV file for a report operation](https://developer.paddle.com/api-reference/reports/get-report-csv).

If successful, your response includes a copy of the new report entity.

**Required permissions:** `report.write`

## Request body



### Request example

```json
{
  "type": "transactions",
  "filters": [
    {
      "name": "collection_mode",
      "value": [
        "manual"
      ]
    },
    {
      "name": "updated_at",
      "value": "2024-04-15",
      "operator": "lt"
    },
    {
      "name": "updated_at",
      "value": "2024-01-01",
      "operator": "gte"
    }
  ]
}
```

## Response (201)

- `data` (required) — Represents a report entity.
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.

### Response example

```json
{
  "data": {
    "id": "rep_01hvgdhtthn1q35n79dgeqm3pv",
    "type": "transactions",
    "rows": null,
    "status": "pending",
    "filters": [
      {
        "name": "collection_mode",
        "value": [
          "manual"
        ],
        "operator": null
      },
      {
        "name": "updated_at",
        "value": "2024-04-15",
        "operator": "lt"
      },
      {
        "name": "updated_at",
        "value": "2024-01-01",
        "operator": "gte"
      }
    ],
    "expires_at": null,
    "created_at": "2024-04-15T08:21:36.209Z",
    "updated_at": "2024-04-15T08:21:36.209Z"
  },
  "meta": {
    "request_id": "0774e52b-fcc3-4d7e-8047-b1b1a05a3f27"
  }
}
```
